package org.jcg.zheng.demo.async.tasks;

import java.util.concurrent.CompletableFuture;

import org.jcg.zheng.demo.async.data.DataUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ChainOperations_PrimitiveType {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    // f(n)= 2n + 2
    public void mathFunctionDemo(CompletableFuture<Integer> future) {
        logger.info(DataUtils.THREAD_STARTS);
        future.thenApply(num -> num * 2).thenApply(num -> num + 2)
                .thenAccept((n -> logger.info("calculated value=" + n)));
        logger.info(DataUtils.THREAD_COMPLETED);
    }

    public CompletableFuture<Integer> doubleNum(int num) {
        return CompletableFuture.supplyAsync(() -> num * 2);
    }

}
