package org.jcg.zheng.demo.async.tasks;

import java.util.concurrent.TimeUnit;

import org.jcg.zheng.demo.async.data.DataUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class RunnableTask implements Runnable {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @Override
    public void run() {
        logger.info(DataUtils.THREAD_STARTS);
        try {
            TimeUnit.SECONDS.sleep(5);
            logger.info(DataUtils.THREAD_COMPLETED);
        } catch (InterruptedException e) {
            logger.info(DataUtils.THREAD_ABORTED);
        }
    }

}
