package org.jcg.zheng.demo.async.tasks;

import java.util.concurrent.Callable;

import org.jcg.zheng.demo.async.data.DataUtils;
import org.jcg.zheng.demo.async.data.Order;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ProcessOrderTask implements Callable<Order> {

    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    private Integer orderId;

    public ProcessOrderTask(Integer orderId) {
        super();
        this.orderId = orderId;
    }

    @Override
    public Order call() throws Exception {
        logger.info(DataUtils.THREAD_STARTS);
        Order dummyOrder = new Order();
        dummyOrder.setOrderId(orderId);
        (new DataUtils()).processOrder(dummyOrder);
        return dummyOrder;
    }

}
