package org.jcg.zheng.demo.async;

import org.junit.Ignore;
import org.junit.Test;

public class ProcessOrders_CompletableFutureTest extends TestBase {

    @Test
    public void process_order_notifyUser_chain_1() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders_chain(1);
        sleepInSeconds = 3; // 7 seconds, 300KB memory used
    }

    @Test
    public void process_order_notifyUser_chain_10() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders_chain(10);
        sleepInSeconds = 11; // 80 seconds, memory used -1045KB
    }

    @Test
    public void process_order_notifyUser_10() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders(10);
        sleepInSeconds = 11; // 11 seconds, Total memory used 1112KB
    }

    @Ignore
    @Test
    public void process_order_notifyUser_chain_50() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders_chain(50);
        sleepInSeconds = 11;// used 360 seconds
    }

    @Ignore
    @Test
    public void process_order_notifyUser_50() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders(50);
        sleepInSeconds = 110;// used 35 seconds
    }

    @Test
    public void process_order_notifyUser_100() {
        ProcessOrders_CompletableFuture po = new ProcessOrders_CompletableFuture();
        po.processOrders_chain(100);
        sleepInSeconds = 11;// 700 seconds, Total memory used -5579KB
    }

}
